Anonymous Login
2019-02-21 16:30 PST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001042v3.0 Release[All Projects] Generalpublic2013-08-28 11:21
Reportersasquatch58 
Assigned Tocaseydk 
PrioritynormalSeverityblockReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version3.0.0 
Summary0001042: Fatal error when deleting budget item
DescriptionAt rev 2347
Attempting to delete a Budget entry
Page http://192.168.1.10/web2dev/index.php?m=system&a=budgeting
Fatal error: Call to a member function getLibraryClass() on a non-object in /opt/web2dev/classes/w2p/Extensions/Permissions.class.php on line 7

w2p will now not restart.
Restarted Apache - still no response (same message Fatal error: Call to a member function getLibraryClass() on a non-object in /opt/web2dev/classes/w2p/Extensions/Permissions.class.php on line 7 )

Suspect issues with mods to BaseObject class (rev 2346) or Permissions class (rev 2347)
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0002375

caseydk (administrator)

I'll check this out asap.

In the meantime, you should be able to add:

&logout=-1

to the end of any web2project URL to log out and therefore reset everything.

~0002378

caseydk (administrator)

Resolved in r2350;
+Notes

-Issue History
Date Modified Username Field Change
2012-01-02 14:38 sasquatch58 New Issue
2012-01-04 10:08 caseydk Status new => assigned
2012-01-04 10:08 caseydk Assigned To => caseydk
2012-01-04 10:08 caseydk Note Added: 0002375
2012-01-08 15:39 caseydk Note Added: 0002378
2012-01-08 15:39 caseydk Status assigned => resolved
2012-01-08 15:39 caseydk Resolution open => fixed
2013-08-28 11:14 caseydk Fixed in Version => 3.0.0
2013-08-28 11:21 caseydk Status resolved => closed
+Issue History